Home Forums Weaver Xtreme Theme Theme Upgrade has gone wrong

Viewing 16 posts - 1 through 16 (of 16 total)
  • Author
    Posts
  • #18358
    annieb
    Participant

    I saw an upgrade for the Weaver Xtreme theme in the WordPress admin today so I chose to upgrade. Now I cannot access the traditional Weaver Xtreme admin. Is this expected behaviour? When I click on the link I get the following error:

    Fatal error: Cannot redeclare weaverx_loadtheme() (previously
    declared in
    /home/ambwebuk/public_html/wordpress/wp-content/plugins/weaverx-theme-support/admin/admin-lib-ts.php:606)
    in /home/ambwebuk/public_html/wordpress/wp-content/themes/weaver-xtreme/admin/admin-core/admin-saverestore.php on line 221

    I think perhaps I shouldn’t have upgraded because I’d previously downloaded the version 2.0 beta.

    I don’t understand how php works so I have no idea what to do to fix this. I’m hoping someone might be able to help me.

    #24992
    Gillian
    Moderator
    #24993
    annieb
    Participant

    Thanks Gillian. I’m glad I’m not the only one. Hopefully there will be a fix.

    #24994
    scrambler
    Moderator

    I suspect the issue is in the latest version of the Theme support plugin, if you have the version prior to the 1.10, try reinstalling that

    #24995
    scrambler
    Moderator

    I just recovered from reinstalling the last version 1.9.7 available on WordPress

    https://wordpress.org/plugins/weaverx-theme-support/developers/

    I use the easy theme and plugin upgrades plugin to install the version after deleting the 1.10 one

    #24996
    annieb
    Participant

    Hi Scrambler. I have the Easy Theme and Plugin Upgrades plugin but how do I delete version 1.10 first please?

    #24997
    scrambler
    Moderator

    Go to the Plugin page, first deactivate the weaver Xtreme Theme support plugin, then Delete it completely

    #24998
    annieb
    Participant

    Thanks for your reply. When I go to install the 1.9.7 version using the Easy Theme and Plugin Upgrades plugin, do I choose No or Yes beside ‘Upgrade existing theme?’ I was working on my theme recently and don’t have a final backup of all my theme settings. Will I lose all of my customizations by doing this?

    #24999
    scrambler
    Moderator
    Given you should have deleted the previous version, no need to say Yes for upgrade, but Y or N will work in this case.
    It is only when you upgrade an existing plugin that you must say Yes
    You will not loose any setting reinstalling a plugin or a theme. All settings are saved in the database and automatically restored when a theme or a plugin is activated
    #25000
    annieb
    Participant

    Thanks very much for your patience. I’ll give it a go.
    Annie

    #25001
    Weaver
    Keymaster

    Weaver Xtreme RC2 is now available: http://weavertheme.com/download/?did=34

    #25002
    scrambler
    Moderator

    RC2 and Xtreme theme support latest 1.10 working fine here 🙂

    #25003
    Gillian
    Moderator

    .. and here 🙂

    #25004
    annieb
    Participant

    Yes, I too have updated my theme to the RC2 version and all is working. Many thanks.

    #25005
    Weaver
    Keymaster

    Sorry about that….

    It was a failure to test on my part – I focused on being sure the new plugin worked on 1.3, and just missed testing on RC1.

    #25006
    annieb
    Participant

    No need to apologise. I’m only too grateful for all the work that goes into this theme.

Viewing 16 posts - 1 through 16 (of 16 total)
  • You must be logged in to reply to this topic.